> For the complete documentation index, see [llms.txt](https://docs.pyck.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pyck.cloud/graphql-api/services/file.md).

# file

Audience: Programmer

## Queries

* [fileServiceInfo](https://docs.pyck.cloud/graphql-api/queries/fileserviceinfo.md)
* [files](https://docs.pyck.cloud/graphql-api/queries/files.md)
* [nodeFile](https://docs.pyck.cloud/graphql-api/queries/nodefile.md) — Fetches an object given its ID.
* [nodesFile](https://docs.pyck.cloud/graphql-api/queries/nodesfile.md) — Lookup nodes by a list of IDs.

## Mutations

* [analyzeImageFile](https://docs.pyck.cloud/graphql-api/mutations/analyzeimagefile.md)
* [createFile](https://docs.pyck.cloud/graphql-api/mutations/createfile.md)
* [deleteFile](https://docs.pyck.cloud/graphql-api/mutations/deletefile.md)
* [finalizeFileUpload](https://docs.pyck.cloud/graphql-api/mutations/finalizefileupload.md) — Finalize a file upload by reading the actual size from object storage and persisting it on the File record.
* [patchFileData](https://docs.pyck.cloud/graphql-api/mutations/patchfiledata.md) — Apply RFC 6902 JSON Patch operations to the file's data field.
* [updateFile](https://docs.pyck.cloud/graphql-api/mutations/updatefile.md)

## Entities

| Type                                                                        | Key           |
| --------------------------------------------------------------------------- | ------------- |
| [Customer](https://docs.pyck.cloud/graphql-api/types/customer.md)           | `id tenantID` |
| [File](https://docs.pyck.cloud/graphql-api/types/file.md)                   | `id`          |
| [InventoryItem](https://docs.pyck.cloud/graphql-api/types/inventoryitem.md) | `id tenantID` |
| [PickingOrder](https://docs.pyck.cloud/graphql-api/types/pickingorder.md)   | `id tenantID` |
| [Repository](https://docs.pyck.cloud/graphql-api/types/repository.md)       | `id tenantID` |
| [Supplier](https://docs.pyck.cloud/graphql-api/types/supplier.md)           | `id tenantID` |

## Fields on shared types

| Type                                                                        | Fields       |
| --------------------------------------------------------------------------- | ------------ |
| [Customer](https://docs.pyck.cloud/graphql-api/types/customer.md)           | `file`       |
| [InventoryItem](https://docs.pyck.cloud/graphql-api/types/inventoryitem.md) | `file`       |
| [PickingOrder](https://docs.pyck.cloud/graphql-api/types/pickingorder.md)   | `id`, `file` |
| [Repository](https://docs.pyck.cloud/graphql-api/types/repository.md)       | `file`       |
| [Supplier](https://docs.pyck.cloud/graphql-api/types/supplier.md)           | `file`       |

## Types

* [CreateFileResult](https://docs.pyck.cloud/graphql-api/types/createfileresult.md)
* [Customer](https://docs.pyck.cloud/graphql-api/types/customer.md)
* [EntityEventsOutbox](https://docs.pyck.cloud/graphql-api/types/entityeventsoutbox.md)
* [File](https://docs.pyck.cloud/graphql-api/types/file.md)
* [FileConnection](https://docs.pyck.cloud/graphql-api/types/fileconnection.md) — A connection to a list of items.
* [FileDeletePayload](https://docs.pyck.cloud/graphql-api/types/filedeletepayload.md)
* [FileEdge](https://docs.pyck.cloud/graphql-api/types/fileedge.md) — An edge in a connection.
* [GetPreSignedUploadUrlPayload](https://docs.pyck.cloud/graphql-api/types/getpresigneduploadurlpayload.md)
* [ImageAnalysisResponse](https://docs.pyck.cloud/graphql-api/types/imageanalysisresponse.md)
* [InventoryItem](https://docs.pyck.cloud/graphql-api/types/inventoryitem.md)
* [PageInfo](https://docs.pyck.cloud/graphql-api/types/pageinfo.md) — Information about pagination in a connection.
* [PickingOrder](https://docs.pyck.cloud/graphql-api/types/pickingorder.md)
* [Repository](https://docs.pyck.cloud/graphql-api/types/repository.md)
* [ServiceInfo](https://docs.pyck.cloud/graphql-api/types/serviceinfo.md)
* [Supplier](https://docs.pyck.cloud/graphql-api/types/supplier.md)

## Interfaces

* [NodeFile](https://docs.pyck.cloud/graphql-api/interfaces/nodefile.md) — An object with an ID.

## Inputs

* [CreateFileInput](https://docs.pyck.cloud/graphql-api/inputs/createfileinput.md) — CreateFileInput is used for create File object.
* [EntityEventsOutboxWhereInput](https://docs.pyck.cloud/graphql-api/inputs/entityeventsoutboxwhereinput.md) — EntityEventsOutboxWhereInput is used for filtering EntityEventsOutbox objects.
* [FileOrder](https://docs.pyck.cloud/graphql-api/inputs/fileorder.md) — Ordering options for File connections
* [FileWhereInput](https://docs.pyck.cloud/graphql-api/inputs/filewhereinput.md) — FileWhereInput is used for filtering File objects.
* [JSONPatchInput](https://docs.pyck.cloud/graphql-api/inputs/jsonpatchinput.md) — A single RFC 6902 JSON Patch operation.
* [UpdateFileInput](https://docs.pyck.cloud/graphql-api/inputs/updatefileinput.md) — UpdateFileInput is used for update File object.

## Enums

* [FileOrderField](https://docs.pyck.cloud/graphql-api/enums/fileorderfield.md) — Properties by which File connections can be ordered.
* [FileReftype](https://docs.pyck.cloud/graphql-api/enums/filereftype.md) — FileReftype is enum for the field reftype
* [JSONPatchOp](https://docs.pyck.cloud/graphql-api/enums/jsonpatchop.md) — RFC 6902 JSON Patch operation type.
* [JSONType](https://docs.pyck.cloud/graphql-api/enums/jsontype.md) — JSON type for casting extracted JSONB values during ordering.
* [OrderDirection](https://docs.pyck.cloud/graphql-api/enums/orderdirection.md) — Possible directions in which to order a list of items when provided an `orderBy` argument.

## Scalars

* [Cursor](https://docs.pyck.cloud/graphql-api/scalars/cursor.md) — Define a Relay Cursor type: <https://relay.dev/graphql/connections.htm#sec-Cursor>
* [Map](https://docs.pyck.cloud/graphql-api/scalars/map.md) — The builtin Map type
* [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md) — The builtin Time type
* [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pyck.cloud/graphql-api/services/file.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
